[ic] New perl version

Grant emailgrant at gmail.com
Fri Oct 22 21:53:55 UTC 2010

> It looks like libperl-5.10.1 and perl-5.12.2-r1 have been marked
> stable on Gentoo.  Has anyone tried these with IC?
> - Grant

Here's some more info from Gentoo:

"Perl 5.12 is not binary compatible with prior releases of Perl. If
you have built extensions (i.e. modules that include C code) using an
earlier version of Perl, you will need to rebuild and reinstall those
extensions." [1]

In fact, in Gentoo you currently have to rebuild all Perl modules and
all binaries linking libperl to get into a consistent state again.

perl-cleaner generates a list of broken packages and passes it to your
package manager to reinstall them. After reinstalling the packages,
perl-cleaner outputs a list of files the script could not deal with
(like modules installed not via the package manager).

See `man perl-cleaner` for its options.

[1] http://search.cpan.org/dist/perl-5.12.2/INSTALL#Changes_and_Incompatibilities

- Grant

More information about the interchange-users mailing list